# Luakit Documentation / Classes / widget:drawing_area

# Class `widget:drawing_area`

Drawing area widget
This module is only available from the UI process Lua state.

The drawing area widget allows drawing from Cairo via the LuaJIT FFI.

Widgets of this type cannot be created without LuaJIT FFI support.

## Methods

### area:invalidate ()

Invalidates the drawing area and queues a redraw.

## Signals

### "draw"

This signal is emitted when the contents of the drawing area need to be redrawn, using the provided Cairo drawing context.

#### Parameters

- context
  Type: cairo
  A FFI wrapper to a `cairo_t *` type.

## Attribution

#### Copyright

- 2017 Aidan Holm